<!DOCTYPE html>
<html>
    <head>
        <title>Reena:React Js Tranining</title>
        <link href="css/style.css" rel="stylesheet">
    </head>
    <body>
        <header class="main-header">
            <h1>📘 The Code Magazine</h1>
            <nav>
                <a href="blog.html">Blog</a>
                <a href="#">Challenges</a>
                <a href="#">Flexbox</a>
                <a href="#">CSS</a>
                <a href="#">Grid</a>
            </nav>
        </header>

        <article>
            <header>
                <h2>The Basic Language of the Web:HTML</h2>
                <img src="images/laura-jones.jpg" height="80px" width="80px"> 
                <p id="author">Posted by <strong>Laura Jones</strong> on Monday, June 21st 2027</p>
                <img src="images/post-img.jpg" height="250px" width="550px">
            </header>
            <button>Like</button>
            <p>All modern websites and web applications are built using three <em>fundamental</em> technologies: HTML, CSS and JavaScript. These are the languages of the web.</p>

            <h3>What is HTML?</h3>
            <p>HTML stands for <strong>H</strong>yper<strong>T</strong>ext <strong>M</strong>arkup <strong>L</strong>anguage. It's a markup language that web developers use to structure and describe the content of a webpage (not a programming language).</p>

            <p>HTML consists of elements that describe different types of content: paragraphs, links, headings, images, video, etc. Web browsers understand HTML and render HTML code as websites.</p>

            <p>In HTML, each element is made up of 3 parts: </p>
                <ol>
                    <li>The opening tag</li>
                    <li>The closing tag</li>
                    <li>The actual element</li>
                </ol>            
            <p> can learn more at the <a href="#">MDN Web Docs.</a> </p>

            <h3>Why should you learn HTML?</h3>

            <p>There are countless reasons for learning the fundamental language of the web. Here are 5 of them: 
                <ul>
                    <li>To be able to use the fundamental web dev language </li>
                    <li>To hand-craft beautiful websites instead of relying on tools like Worpress or Wix </li>
                    <li>To build web applications </li>
                    <li>To impress friends</li>
                    <li>To have fun 😃 </li>
                </ul>            
            </p>
            <p>Hopefully you learned something new here. See you next time!</p>
        </article>

        <aside>
            <h4>Related Posts</h4>
            <ul>
                <li>
                    <img src="images/related-1.jpg" height="100px" width="100px" alt="Related 1 Developement"> 
                    <a href="#"> How to Learn Web Developement </a> 
                    <p class="related-author"> By Jones Schmedtman </p>
                </li>

                <li>
                    <img src="images/related-2.jpg" height="100px" width="100px" alt="Related 2 CSS"> 
                    <a href="#"> The unknown power of CSS </a> 
                    <p class="related-author"> By Jim Dillon </p>
                </li>

                <li>
                    <img src="images/related-3.jpg" height="100px" width="100px" alt="Related 2 JavaScript"> 
                    <a href="#"> Why JavaScript is Awesome </a> 
                    <p class="related-author"> By Jones Schmedtman </p>
                </li>
            </ul>
        </aside>        

        <footer>
            <p id="copyright" class="copyright">Copyright &copy; 2027 by The Code Magazine.</p>
        </footer>
    
    </body>
</html>